import { defineStore } from "pinia";
import { request } from "../api";

export const useHomeStore = defineStore({
  id: "home",
  state: () => {
    return {
      poster: [],
    };
  },
  getters: {},
  actions: {
    async getPoster() {
      const { data, status } = await request.get("/show/poster/getList");
      if (data.code === 0) {
        this.poster = data.data;
      }
    },
  },
});
